BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Padre/Plugin.pm) perl(Params/Util.pm) perl(Parse/CPAN/Meta.pm) perl(Perl/Tidy.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Padre-Plugin-PerlTidy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Format perl files using Perl::Tidy
Group: Development/Perl
License: perl
URL: http://padre.perlide.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AZ/AZAWAWI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a simple plugin to run the Perl::Tidy manpage on your source code.

Currently there are no customisable options (since the Padre plugin system
doesn't support that yet) - however Perl::Tidy will use your normal .perltidyrc
file if it exists (see Perl::Tidy documentation).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- initial import by package builder

